## seesat5 0.90.4

=== debian/changelog ===
seesat5 (0.90.4-0) unstable; urgency=low

  * converted to new source format Standards-Version = 2.1.0.0

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 1 Oct 1996 16:56:38 -0400

Seesat5 0.90 Debian 3 - dcs

*fixed description and extended description

Seesat5 0.90 Debian 2 - dcs

*corrected location of example files

Seesat5 0.90 Debian 1 - dcs

*First release as Debian package
*built as ELF
*New package maintainer: Dale Scheetz <dwarf@polaris.net>

Local variables:
mode: debian-changelog
End:
