=== debian/control ===
Source: seesat5
Section: misc
Priority: extra
Maintainer: Dale Scheetz <dwarf@polaris.net>
Standards-Version: 2.1.0.0

Package: seesat5
Architecture: any
Depends: ${shlibs:Depends}
Description: a satellite location program
 Seesat5 uses the NORAD sgp4 algorith to compute the location of a satellite.
 Many different filtering methods are provided by Seesat5 so that only those
 satellites that might actually be viewed are presented in the report. This 
 report includes bearing and elevation with respect to the observer's location
 as well as other information of interest to the observer.
 .
 Although an observer would find no use for it, the program can be made to 
 report the location even when it is below the horizon. For radio satellites
 like the Oscar series knowing when it comes above the horizon is some of the
 interesting information this program can provide.
