## seesat5 0.90.8-0

=== debian/changelog ===
seesat5 (0.90.8-0) frozen unstable; urgency=low

  * Corrected typo in description: fixes 16141
  * now remove debian/files* and debian/substvars* in clean
  *            which allows auto builds on other architectures.

 -- Dale Scheetz <dwarf@polaris.net>  Mon, 20 Apr 1998 10:05:20 -0400

seesat5 (0.90.7-0) unstable; urgency=low

  * general cleanup of rules file
  * removed gzip from copyright file : bug#14497
  * corrected section in control file declare math as the section

 -- Dale Scheetz <dwarf@polaris.net>  Wed, 19 Nov 1997 11:21:04 -0500

seesat5 (0.90.6-0) unstable; urgency=low

  * compiled for libc6

 -- Dale Scheetz <dwarf@polaris.net>  Thu, 11 Sep 1997 12:32:47 -0400

seesat5 (0.90.5-0) unstable stable; urgency=low

  * fixed GO to provide error instead of segfault; bug #7123

 -- Dale Scheetz <dwarf@polaris.net>  Mon, 18 Aug 1997 14:27:22 -0400
