=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: seesat5
-Section: misc
+Section: math
 Priority: extra
 Maintainer: Dale Scheetz <dwarf@polaris.net>
 Standards-Version: 2.1.0.0
@@ -8,7 +8,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: a satellite location program
- Seesat5 uses the NORAD sgp4 algorith to compute the location of a satellite.
+ Seesat5 uses the NORAD sgp4 algorithm to compute the location of a satellite.
  Many different filtering methods are provided by Seesat5 so that only those
  satellites that might actually be viewed are presented in the report. This 
  report includes bearing and elevation with respect to the observer's location
