## seesat5 0.90.9-0

=== debian/changelog ===
seesat5 (0.90.9-0) unstable; urgency=low

  * moved /usr/doc to /usr/share/doc closes: #91653
  * moved /usr/man to /usr/share/man, moves to Standards 3.1.0.0
  * changed maintainer fields to reflect new gpg key

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Mon, 26 Mar 2001 08:28:21 -0500
