=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 STRIP = -s
 
 INSTALL = install
-INSTALL_BIN = $(INSTALL) $(STRIP) --owner=root --group=root --mode=0755
+INSTALL_BIN = $(INSTALL) $(STRIP) --owner=root --mode=0755
 INSTALL_LIB = $(INSTALL) --owner=root --group=root --mode=0644
-INSTALL_DIR = $(INSTALL) --directory --owner=root --group=root --mode=0755
+INSTALL_DIR = $(INSTALL) --directory --owner=root --mode=0775
 
 GZIP = gzip
 
@@ -19,9 +19,9 @@
 PREFIX = /usr
 
 BIN_DIR = $(TARGET-ROOT)$(PREFIX)/bin
-MAN_DIR = $(TARGET-ROOT)$(PREFIX)/man
-DOC_DIR = $(TARGET-ROOT)$(PREFIX)/doc/$(p)
-EXAMPLE_DIR = $(TARGET-ROOT)$(PREFIX)/doc/$(p)/examples
+MAN_DIR = $(TARGET-ROOT)$(PREFIX)/share/man
+DOC_DIR = $(TARGET-ROOT)$(PREFIX)/share/doc/$(p)
+EXAMPLE_DIR = $(TARGET-ROOT)$(PREFIX)/share/doc/$(p)/examples
 
 # Build the components of the package
 #
@@ -61,8 +61,8 @@
 
 # Install scripts
 #
-	cp debian/postinst debian/tmp/DEBIAN/postinst
-	chmod +x debian/tmp/DEBIAN/postinst
+	cp debian/postinst debian/prerm debian/tmp/DEBIAN/
+	chmod +x debian/tmp/DEBIAN/postinst debian/tmp/DEBIAN/prerm
 
 # Install the package components
 #
@@ -134,7 +134,7 @@
 	$(INSTALL_LIB) debian/changelog $(DOC_DIR)
 	$(GZIP) $(DOC_DIR)/*
 
-# Except don't gzip the copyright
+# Except don't gzip the copyrighti
 #
 	$(INSTALL_LIB) debian/copyright $(DOC_DIR)
