## seesat5 0.90.10-1

=== debian/changelog ===
seesat5 (0.90.10-1) unstable; urgency=low

  * new maintainer Closes: #235300
  * fixed minor policy violation package now not Debian native Closes: #216541
  * updated to standards version 3.6.1
  * gzipped man pages Closes: #216543
  * upstream created a separate changelog, please see the package's changelog
    for changes prior to this version

 -- Patrick Ouellette <pouelle@debian.org>  Sun, 18 Apr 2004 14:30:54 -0400
