=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: seesat5
 Section: math
 Priority: extra
-Maintainer: Dale Scheetz (Dwarf #1) <dwarf@polaris.net>
-Standards-Version: 3.1.0.0
+Maintainer: Patrick Ouellette <pouelle@debian.org>
+Standards-Version: 3.6.1
 
 Package: seesat5
 Architecture: any
