=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 INSTALL_LIB = $(INSTALL) --owner=root --group=root --mode=0644
 INSTALL_DIR = $(INSTALL) --directory --owner=root --mode=0775
 
-GZIP = gzip
+GZIP = gzip --best
 
 TARGET-ROOT =
 PREFIX = /usr
@@ -74,7 +74,7 @@
 
 # Generate control information
 #
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 
 # Set permissions and ownerships on all files in package
 #
@@ -107,6 +107,10 @@
 	$(INSTALL_LIB) Docs/seesat5.man.1 $(MAN_DIR)/man1/seesat5.1
 	$(INSTALL_LIB) Docs/cr.man.1 $(MAN_DIR)/man1/cr.1
 
+# Gzip man1 directory
+#
+	$(GZIP) $(MAN_DIR)/man1/*
+
 # Create man5 directory
 #
 	$(INSTALL_DIR) $(MAN_DIR)/man5
@@ -116,6 +120,10 @@
 	$(INSTALL_LIB) Docs/SEESAT5.INI.man.5 $(MAN_DIR)/man5/SEESAT5.INI.5
 	$(INSTALL_LIB) Docs/tle.man.5 $(MAN_DIR)/man5/tle.5
 
+# Gzip man5 directory
+#
+	$(GZIP) $(MAN_DIR)/man5/*
+
 # Create man7 directory
 #
 	$(INSTALL_DIR) $(MAN_DIR)/man7
@@ -124,6 +132,10 @@
 #
 	$(INSTALL_LIB) Docs/seesat5.man.7 $(MAN_DIR)/man7/seesat5.7
 
+# Gzip man7 directory
+#
+	$(GZIP) $(MAN_DIR)/man7/*
+
 # Create the docs directory
 #
 	$(INSTALL_DIR) $(DOC_DIR)
@@ -131,12 +143,21 @@
 # Install and gzip all the docs
 #
 	$(INSTALL_LIB) Docs/seesat5.docs.old $(DOC_DIR)
+	$(INSTALL_LIB) ChangeLog $(DOC_DIR)
+	$(INSTALL_LIB) debian/README.Debian $(DOC_DIR)
 	$(INSTALL_LIB) debian/changelog $(DOC_DIR)
+	mv  $(DOC_DIR)/changelog $(DOC_DIR)/changelog.Debian
+	mv  $(DOC_DIR)/ChangeLog $(DOC_DIR)/changelog
 	$(GZIP) $(DOC_DIR)/*
 
-# Except don't gzip the copyrighti
+# Except don't gzip the copyright or upstream changlog, news, todo, readme
 #
 	$(INSTALL_LIB) debian/copyright $(DOC_DIR)
+	
+	$(INSTALL_LIB) NEWS $(DOC_DIR)
+	$(INSTALL_LIB) README $(DOC_DIR)
+	$(INSTALL_LIB) TODO $(DOC_DIR)
+
 
 # Create the example directory
 #
