## seesat5 0.90.10-1ubuntu1

=== debian/changelog ===
seesat5 (0.90.10-1ubuntu1) dapper; urgency=low

  * fix gcc-4.x errors

 -- LaMont Jones <lamont@ubuntu.com>  Tue, 24 Jan 2006 21:07:16 -0700
