## seesat5 0.90.10-1.1

=== debian/changelog ===
seesat5 (0.90.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with gcc 3.4.  Thanks to Andreas Jochens for the
    preliminary patch.  Closes: #259829.
  * Change section/priority to science/optional in accordance with the
    override file.

 -- Matej Vela <vela@debian.org>  Sat, 11 Mar 2006 16:35:11 +0100
