=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: seesat5
-Section: math
-Priority: extra
+Section: science
+Priority: optional
 Maintainer: Patrick Ouellette <pouelle@debian.org>
 Standards-Version: 3.6.1
